%{?nodejs_find_provides_and_requires}

%global packagename has-glob
%global enable_tests 0

Name:		nodejs-has-glob
Version:	1.0.0
Release:	2%{?dist}
Summary:	Returns `true` if an array has a glob pattern

License:	MIT
URL:		https://github.com/jonschlinkert/has-glob
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Release not tagged in Github, so pull tests from master branch
Source1:	https://raw.githubusercontent.com/jonschlinkert/has-glob/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-glob)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Returns `true` if an array has a glob pattern.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep is-glob

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Sep 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Relax dependency on npm(is-glob)

* Tue Sep 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Update to upstream 1.0.0 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
